%define	version	1.50.0
%define	release %mkrel 1

Name:		crossfire-client-data
Version:	%{version}
Release:	%{release}
Summary:	Data files for Crossfire game clients
Group:		Games/Adventure
License:	GPL
URL:		http://crossfire.real-time.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildArch:	noarch

Source0:	http://prdownloads.sourceforge.net/crossfire/crossfire-client-sounds-%{version}.tar.gz
Source1:	http://prdownloads.sourceforge.net/crossfire/crossfire-client-images-%{version}.tar.gz

%description
Crossfire is a highly graphical role-playing adventure game with
characteristics reminiscent of rogue, nethack, omega, and gauntlet. 
It has multiplayer capability and presently runs under X11.

This package contains data files for Crossfire game clients.
It includes sound files and image cache.

%prep
%setup -q -c -T

%build

%install
rm -rf %{buildroot}

# extract cache images to buildroot
mkdir -p %{buildroot}%{_gamesdatadir}/crossfire-client/
tar -xvf %{SOURCE0} -C %{buildroot}%{_gamesdatadir}/crossfire-client/
tar -xvf %{SOURCE1} -C %{buildroot}%{_gamesdatadir}/crossfire-client/

#remove debian files
rm -rf %{buildroot}%{_gamesdatadir}/crossfire-client/sounds/debian

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_gamesdatadir}/crossfire-client/*


%changelog
* Fri Dec 03 2010 Jani Välimaa <wally@mandriva.org> 1.50.0-1mdv2011.0
+ Revision: 607611
- update sources to 1.50.0
- remove debian specific files
- clean .spec a bit

* Wed Sep 02 2009 Thierry Vignaud <tv@mandriva.org> 1.11.0-4mdv2010.0
+ Revision: 425297
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.11.0-3mdv2009.0
+ Revision: 243731
- rebuild

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 1.11.0-1mdv2008.1
+ Revision: 174485
- New version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Emmanuel Andry <eandry@mandriva.org> 1.10.0-1mdv2008.0
+ Revision: 78300
- New version


* Sun Aug 06 2006 Emmanuel Andry <eandry@mandriva.org> 1.9.1-2mdv2007.0
- xdg menu

* Fri Jul 07 2006 Emmanuel Andry <eandry@mandriva.org> 1.9.1-1mdv2007.0
- New version

* Sun May 14 2006 Emmanuel Andry <eandry@mandriva.org> 1.9.0-1mdk
- New version
- mkrel

* Tue Jun 07 2005 Abel Cheung <deaddog@mandriva.org> 1.7.1-1mdk
- New version
- Use gz for Source1, it's bigger after bzme

* Sat Jun 05 2004 Abel Cheung <deaddog@deaddog.org> 1.7.0-1mdk
- First package, split from crossfire-client

